from Ui_ErrorDialog import Ui_ErrorDialog
from PyQt4 import QtCore, QtGui
import traceback

class ErrorDialog(QtGui.QDialog):
    def __init__(self, info, parent=None):
        QtGui.QDialog.__init__(self, parent)
        self.ui = Ui_ErrorDialog()
        self.ui.setupUi(self)
        exc_text = QtCore.QString.fromLocal8Bit(str(info[1]))
        self.ui.message.setText(exc_text)
        tb_text = ''.join(traceback.format_exception(*info))
        tb_text = QtCore.QString.fromLocal8Bit(tb_text)
        self.ui.traceback.setText(tb_text)

ExceptionDialog = ErrorDialog

