from PyQt4 import QtCore, QtGui
from PyQt4.QtCore import SIGNAL
import Tartarus
from Tartarus.iface import SysDB
from Ui_AddGroup import Ui_AddGroupForm
from sysdb.ice import Communicator

class Ui_AddGroup(Ui_AddGroupForm):
    def __init__(self):
        pass
    def setupUi(self, dialog):
        Ui_AddGroupForm.setupUi(self, dialog)
        dialog.connect(dialog, SIGNAL('accepted()'), self.__accepted)
    def __accepted(self):
        g = SysDB.GroupRecord()
        g.name = str(self.name.text())
        g.description = str(self.description.text())
        c = Communicator()
        c.gm().create(g)

class AddGroupDialog(QtGui.QDialog):
    def __init__(self, parent=None):
        QtGui.QDialog.__init__(self, parent)
        self.ui = Ui_AddGroup()
        self.ui.setupUi(self)

def _run_test():
    import sys
    qa = QtGui.QApplication(sys.argv)
    qa.setOrganizationName('Etersoft')
    qa.setOrganizationDomain('tartarus.ru')
    qa.setApplicationName('testapp')
    AddGroupDialog().exec_()

