from common import ice
from Tartarus.iface import SysDB, Kerberos

class Communicator(ice.Communicator):
    def __init__(self):
        ice.Communicator.__init__(self)
    def um(self):
        return self.make_proxy('Tartarus.SysDB.UserManagerPrx', SysDB.UserManagerPrx)
    def gm(self):
        return self.make_proxy('Tartarus.SysDB.GroupManagerPrx', SysDB.GroupManagerPrx)
    def kadm(self):
        return self.make_proxy('Tartarus.Kerberos.KadminPrx', Kerberos.KadminPrx)
#    def dns(self):
#        if self._dns is None:
#            dns = self.comm.propertyToProxy('Tartarus.DNS.ServerPrx')
#            if dns is None:
#                raise RuntimeError('Can\'t create proxy to Tartarus.DNS.ServerPrx')
#            self._dns = safeProxyWrapper(dns, DNS.ServerPrx)
#            if self._dns is None:
#                raise RuntimeError('Can\'t set type of Tartarus.DNS.Kadmin5Prx proxy')
#        return self._dns

def _run_test():
    import sys
    c = Communicator()
    sys.stdout.write('Ping UserManager...')
    c.um().ice_ping()
    sys.stdout.write(' done\nPing GroupManager...')
    c.gm().ice_ping()
    sys.stdout.write(' done\nPing KAdmin...')
    c.kadm().ice_ping()
    sys.stdout.write(' done\n')

